Bug 1202837 (CVE-2015-2674) - CVE-2015-2674 python-restkit: incorrect SSL/TLS certificate validation
Summary: CVE-2015-2674 python-restkit: incorrect SSL/TLS certificate validation
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2015-2674
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1202839
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-17 14:19 UTC by Martin Prpič
Modified: 2019-09-29 13:30 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 02:39:57 UTC


Attachments (Terms of Use)

Description Martin Prpič 2015-03-17 14:19:21 UTC
It was reported that python-restkit does not properly validate SSL/TLS certificates:

It appears to simply use ssl.wrap_socket from the standard library, which does not do any validation by default. This can be verified by doing:

    >>> from restkit import request
    >>> r = request("https://tv.eurosport.com/";)
    >>> r.body_string()
    '<HTML><HEAD>...'

Upstream issue:

https://github.com/benoitc/restkit/issues/140

Additional information:

http://seclists.org/oss-sec/2015/q1/818

Comment 1 Martin Prpič 2015-03-17 14:19:38 UTC
Created python-restkit tracking bugs for this issue:

Affects: fedora-all [bug 1202839]

Comment 2 Product Security DevOps Team 2019-06-08 02:39:57 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.